/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/** \file graph.cpp
 *
 * Function implementations for the class graph.
 *
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "CodePatterns/Log.hpp"

#include "Fragmentation/KeySet.hpp"
#include "graph.hpp"

/***************************************** Implementations for graph classes ********************************/

///** Constructor of class Graph.
// */
//Graph::Graph()
//{
//};
//
///** Destructor of class Graph.
// * Destructor does release memory for nodes and edges contained in its lists as well.
// */
//Graph::~Graph()
//{
//};
//
///** Constructor of class SubGraph.
// */
//SubGraph::SubGraph()
//{
//};
//
///** Destructor of class SubGraph.
// * Note that destructor does not deallocate either nodes or edges! (this is done by its subgraph!)
// */
//SubGraph::~SubGraph()
//{
//};
//
///** Constructor of class Node.
// */
//Node::Node()
//{
//};
//
///** Destructor of class Node.
// */
//Node::~Node()
//{
//};
//
///** Constructor of class Edge.
// */
//Edge::Edge()
//{
//};
//
///** Destructor of class Edge.
// */
//Edge::~Edge()
//{
//};


//bool operator < (KeySet SubgraphA, KeySet SubgraphB)
//{
//  return KeyCompare(SubgraphA, SubgraphB);
//};

//void inline InsertIntoGraph(KeyStack &stack, Graph &graph, int *counter, double factor)
//{
//  // copy stack contents to set and call overloaded function again
//  KeySet set;
//  for(KeyStack::iterator runner = stack.begin(); runner != stack.begin(); runner++)
//    set.insert((*runner));
//  InsertIntoGraph(set, graph, counter, factor);
//};

